/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.muni.fi.pb162.store;

import java.util.SortedSet;

/**
 * Abyste zabranili duplicite kodu v metodach getItemsBy..., doporucuje se
 * udelat neverejnou metodu, ktera bude radit polozky pomoci prislusneho 
 * komparatoru. Metody getItemsBy budou k razeni pouzivat tuto neverejnou 
 * metodu.
 * 
 * @author bar
 */
public interface Store {
    /**
     * Prida polozky na sklad.
     * @param items polozky, ktere se maji pridat na sklad.
     * @throws IllegalArgumentException pokud je nektery z paramtru null.
     */
    void addItems(Item ... items);
    /**
     * Vrazi mnozinu polozek, serazenou podle vyrobce.
     * @return mnozina polozek, serazena podle vyrobce
     */
    SortedSet<Item> getItemsFromProducer();
    
    /**
     * Vraci mnozinu polozek, serazenou podle popisu.
     * @return mnozina polozek, serazena podle popisu.
     */
    SortedSet<Item> getItemsByDescription();
}
